import request from '@/utils/request';

// 部门列表
export function getDeptList(data) {
  return request({
    url: '/sysDept/list',
    method: 'get',
    data,
  });
}
// 部门树状图
export function getDeptTreeList(data) {
  return request({
    url: '/sysDept/deptTree',
    method: 'get',
    data,
  });
}

// 删除部门
export function doDeptDelete(data) {
  return request({
    url: '/sysDept/delete?deptId=' + data.deptId,
    method: 'post',
    data,
  });
}
// 修改部门
export function doDeptEdit(data) {
  return request({
    url: '/sysDept/update',
    method: 'post',
    data,
  });
}

// 新增部门
export function doDeptAdd(data) {
  return request({
    url: '/sysDept/add',
    method: 'post',
    data,
  });
}
